> ## Documentation Index
> Fetch the complete documentation index at: https://docs.refuseless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a model

> Describes one catalog id, e.g. glm-5.3-abliterated.



## OpenAPI

````yaml /openapi.json get /v1/models/{model}
openapi: 3.1.0
info:
  title: Refuseless API
  version: 1.0.0
  description: >-
    OpenAI-compatible hosted inference for a named lineup of refusal-removed
    open weights.
servers:
  - url: https://api.refuseless.com
security:
  - bearerAuth: []
paths:
  /v1/models/{model}:
    get:
      tags:
        - Models
      summary: Retrieve a model
      description: Describes one catalog id, e.g. glm-5.3-abliterated.
      operationId: retrieveModel
      parameters:
        - name: model
          in: path
          required: true
          schema:
            type: string
          example: glm-5.3-abliterated
      responses:
        '200':
          description: Model object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelObject'
        '404':
          description: Unknown model id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ModelObject:
      type: object
      required:
        - id
        - object
        - created
        - owned_by
      properties:
        id:
          type: string
          examples:
            - glm-5.3-abliterated
        object:
          type: string
          examples:
            - model
        created:
          type: integer
        owned_by:
          type: string
          examples:
            - refuseless
    ApiError:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - code
            - message
            - type
          properties:
            code:
              type: string
              examples:
                - invalid_key
                - insufficient_credits
                - model_not_found
                - model_busy
                - model_warming
                - upstream_error
                - model_unavailable
            message:
              type: string
            type:
              type: string
              examples:
                - api_error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: YOUR_API_KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.